
QGIS Application - Bug report #19471

Crash when start print layout

2018-07-23 02:41 PM - Patrick Duchesne

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27299

Description

Hi

Each time we try to print our composer, QGIS crash!

Wee use it for work. Help quikly as possible would be appreciate!

Huge thank for your support.

Have a nice day!

Patrick

History

#1 - 2018-07-23 06:13 PM - Harrissou Santanna

Hi Patrick,

Thanks for reporting.

Wee use it for work. Help quikly as possible would be appreciate!

Nyall Dawson wrote years ago an interesting article about how to get things done quickly in QGIS. It's at 

http://nyalldawson.net/2016/08/how-to-effectively-get-things-changed-in-qgis/ if you want to give it a look. This can be of interest to you or your employer

(if any), if you want this fix done quickly.

Other than that, and while I have no skills to appreciate whether the screenshot you provide is enough, I'd advise you to describe the particular steps

before the application crashes and, better, provide a project with data to help developers (try to) reproduce the crash.

Also, does it occur on any project you create or a particular one? Particular paper format? Is it a 2.x old project or a new by 3.2? ...

In summary, the more accurate your issue report is, better are the chances to get it solved in a reasonable delay (regardless Nyall article).

Regards,

H.

#2 - 2018-07-23 08:01 PM - Nyall Dawson

Can you share the project? Does it crash when you export to PDF? What about PNG?

2024-03-13 1/2

http://nyalldawson.net/2016/08/how-to-effectively-get-things-changed-in-qgis/


#3 - 2018-09-17 02:03 AM - Nyall Dawson

- Status changed from Open to In Progress

#4 - 2018-10-15 06:44 AM - Nyall Dawson

- Status changed from In Progress to Feedback

#5 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2019-02-11 04:19 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
